Package com.pixelmed.display.event

# Class FrameSortOrderChangeEvent

java.lang.Object
com.pixelmed.event.Event
com.pixelmed.display.event.FrameSortOrderChangeEvent

public class FrameSortOrderChangeEvent extends Event

## Constructor Summary

Constructors
Constructor
Description
`FrameSortOrderChangeEvent(EventContext eventContext, int[] sortOrder, int index)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getIndex()`
`int[]`
`getSortOrder()`
`String`
`toString()`

### Methods inherited from class com.pixelmed.event.Event

`getEventContext`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FrameSortOrderChangeEvent

public FrameSortOrderChangeEvent(EventContext eventContext, int[] sortOrder, int index)

Parameters:
  `eventContext` -
  `sortOrder` -
  `index` -

## Method Details

### getSortOrder

public int[] getSortOrder()

Returns:
  the current sort order array, which may be null

### getIndex

public int getIndex()

Returns:
  the index of the frame selected

### toString

public String toString()

Overrides:
  `toString` in class `Object`
Returns:
  description of the event